/**
* Example Robot-class. Illustrates the definition of different variable-types.
*/
public class ExampleRobot {
	/**
	* Class-variable for counting the total number of created objects.
	*/
	private static int robotCount = 0;
	
	//declaration of instance- variables
	public String name;
	public double price;
	public int yearOfPurchase;
	public String appearance;
	
	/**
	* Constructor that increases the class-variable robotCount by 1 upon object-creation.
	*/
	ExampleRobot() {
		robotCount = robotCount + 1;
	}
	
	public int age(int currentYear) {
		//declaration of a local variable
		int time = currentYear - yearOfPurchase;
		return time;
	}
}
	