import lejos.hardware.Button;
import lejos.hardware.lcd.LCD;

class Robot{
	private String name;
	private int motorCount = 0;
	private int speed = 0;
	
	public void setSpeed(int speed) {this.speed = speed;}
	public int getSpeed() {return speed;}
	public void moveForward() {
		LCD.drawString("The ROBOT is moving", 0, 0);
	}
}

class EV3 extends Robot{
	private int motorCount = 2;
	private int smallMotorCount = 1;
	
	public void closeClaw() {//add implementation of closeClaw- method here}
	public void openClaw() {//add implementation of openClaw- method here}
	public void moveForward() {
		LCD.drawString("The EV3 is moving", 0, 1);
	}
}

class NXT extends Robot{
	private int motorCount = 3;
	private int currentArmAngle = 0;
	
	public void moveArmTo(int angle) {//add implementation of moveArmTo- method here}
	
	public void moveForward() {
		LCD.drawString("The NXT is moving", 0, 2);
	}
}

public class Polymorphie {
	public static void main(String[] args) {
		Robot anyRobot;
		anyRobot = new EV3();
		anyRobot.moveForward();
		
		anyRobot = new NXT();
		anyRobot.moveForward();
		
		Button.ENTER.waitForPress();
	}
}