import lejos.hardware.Button;
import lejos.hardware.lcd.LCD;

/**
* This class waits for a Button to be pressed and then displays its name. Program exits after ESCAPE is pressed.
*/
public class ButtonTester {

	public static void main(String[] args) {
		int buttonId = 0;
		
		while (buttonId != Button.ID_ESCAPE) {
			buttonId = Button.waitForAnyPress();			
			
			if (buttonId == Button.ID_LEFT) {
				LCD.clear();
				LCD.drawString("LEFT pressed", 0, 0);
			}
			else if (buttonId == Button.ID_RIGHT) {
				LCD.clear();
				LCD.drawString("RIGHT pressed", 0, 0);
			}
			else if (buttonId == Button.ID_ENTER) {
				LCD.clear();
				LCD.drawString("ENTER pressed", 0, 0);
			}
			else if (buttonId == Button.ID_UP) {
				LCD.clear();
				LCD.drawString("UP pressed", 0, 0);
			}
			else if (buttonId == Button.ID_DOWN) {
				LCD.clear();
				LCD.drawString("DOWN pressed", 0, 0);
			}
		}
	}
}