/**
* Example Robot-class.
* Object is being created in main-method
* and variables are initialized with a non default-constructor.
*/
public class ExampleRobot {
	/** 
	 * Name of the robot
	 */
	public String name;
	/** 
	 * Price of the robot
	 */
	public double price;
	/** 
	 * Year the robot was bought in 
	 */
	public int yearOfPurchase;
	/** 
	 * Appearance of the robot
	 */
	public String appearance;
	/**
	 * Returns the age of the robot.
	 * @param currentYear The current year
	 * @return The age of the robot
	 */
	public int age(int currentYear) {
		return currentYear - yearOfPurchase;
	}
	/**
	 * Constructor, that initializes the instance-variables with given parameters
	 * @param name Name of the robot
	 * @param price Price of the robot
	 * @param yearOfPurchase Year the robot was bought in
	 * @param appearance Appearance of the robot
	 */
	ExampleRobot(String name, double price, int yearOfPurchase, String appearance) {
		this.name = name;
		this.price = price;
		this.yearOfPurchase = yearOfPurchase;
		this.appearance = appearance;
	}
	/**
	 * main-method. Object is created here.
	 * @param args standard parameter for main-method
	 */
	public static void main(String[] args) {
		ExampleRobot myEV3;
		myEV3 = new ExampleRobot("LEGO EV3", 319.95, 2013, "Roberta");
	}
}