import lejos.hardware.Button;
import lejos.hardware.lcd.LCD;

/**
* MethodTester-class.
* Implements different methods.
*/
public class MethodTester {
	/**
	* 1. method: Returns a string
	*/
	private String returnString() {
		return "Example string";
	}
	/**
	* 2. method: squares the given value
	*/
	public static int square(int value) {
		return value*value;
	}
	/**
	* 3. method: implements "value" power "exponent"
	*/
	public double power(double value, double exponent) {
		return Math.pow(value,exponent);
	}
	/**
	* 4. method: implements a*b*c
	*/
	public int product(int a, int b, int c) {
		return a*b*c;
	}
	
	public static void main (String args[]) {
		MethodTester methods = new MethodTester();
		
		LCD.drawString("1. "+methods.returnString(),0,0);
		LCD.drawString("2. "+MethodTester.square(15),0,1);
		LCD.drawString("3. "+methods.power(3.5,7),0,2);
		LCD.drawString("4. "+methods.product(3,4,5),0,3);
		
		Button.ENTER.waitForPress();
	}
}