import lejos.hardware.motor.EV3LargeRegulatedMotor;
import lejos.hardware.port.MotorPort;
/**
* This class makes a Robot with two motors move along a certain path.
*/
public class MotorTester {
	public static void main(String[] args) throws Exception {
		EV3LargeRegulatedMotor motorL = new EV3LargeRegulatedMotor(MotorPort.A);
		EV3LargeRegulatedMotor motorR = new EV3LargeRegulatedMotor(MotorPort.B);
		//set speed to 360 deg/s
		motorR.setSpeed(360);
		motorL.setSpeed(360);
		//forward for 1 seconds
		motorR.forward();
		motorL.forward();
		Thread.sleep(1000);
		motorR.stop(true);
		motorL.stop(true);
		//reduce speed for left motor
		motorL.setSpeed(250);
		motorR.forward();
		motorL.forward();
		Thread.sleep(3000);
		//Forward- movement is finished
		motorR.stop(true);
		motorL.stop(true);
		//set both motors to 360 deg/s again
		motorR.setSpeed(360);
		motorL.setSpeed(360);
		//go backwards for 3 seconds
		motorR.backward();
		motorL.backward();
		Thread.sleep(3000);
	}
}